Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Interface Statistic

public interface Statistic

Defines an interface for a statistic. Statistics provide numeric value streams that are often associated with a chart. They can be listened to.

Field Summary
`static int` | `DRAW_DISCRETE`
`static int` | `DRAW_LINEAR`
`static int` | `DRAW_SAMPLEHOLD`
`static double` | `UNSET`

Method Summary
`boolean` | `addListener(StatisticListener listener)` Add a listener.
`void` | `clearListeners()` Clear all listeners.
`String` | `getDescription()` Get a description of the statistic.
`int` | `getDrawStyle()` Get the preferred draw style.
`String` | `getName()` Get the name of the statistic.
`String` | `getOrdinateDescription()` Get the ordinate description.
`double` | `getValue()` Get the current value of the passed statistic.
`boolean` | `hasListeners()` Does the statistic have listeners?
`boolean` | `removeListener(StatisticListener listener)` Remove a listener.

Field Detail

### DRAW_LINEAR

    public static final int DRAW_LINEAR

### DRAW_DISCRETE

    public static final int DRAW_DISCRETE

### DRAW_SAMPLEHOLD

    public static final int DRAW_SAMPLEHOLD

### UNSET

    public static final double UNSET

Method Detail

### getName

    public String getName()

  Get the name of the statistic.

### getDescription

    public String getDescription()

  Get a description of the statistic.

### getOrdinateDescription

    public String getOrdinateDescription()

  Get the ordinate description.

### getDrawStyle

    public int getDrawStyle()

  Get the preferred draw style.

### getValue

    public double getValue()

  Get the current value of the passed statistic.

### addListener

    public boolean addListener(StatisticListener listener)

  Add a listener.

### removeListener

    public boolean removeListener(StatisticListener listener)

  Remove a listener.

### clearListeners

    public void clearListeners()

  Clear all listeners.

### hasListeners

    public boolean hasListeners()

  Does the statistic have listeners?

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.